Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper
Class KeeperException.SessionExpiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.zookeeper.KeeperException
                  org.apache.zookeeper.KeeperException.SessionExpiredException

All Implemented Interfaces:
  Serializable

Enclosing class:
  KeeperException

    public static class KeeperException.SessionExpiredException

extends KeeperException

See Also:
  `KeeperException.Code.SESSIONEXPIRED`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.zookeeper.KeeperException
`KeeperException.APIErrorException, KeeperException.AuthFailedException, KeeperException.BadArgumentsException, KeeperException.BadVersionException, KeeperException.Code, KeeperException.CodeDeprecated, KeeperException.ConnectionLossException, KeeperException.DataInconsistencyException, KeeperException.InvalidACLException, KeeperException.InvalidCallbackException, KeeperException.MarshallingErrorException, KeeperException.NoAuthException, KeeperException.NoChildrenForEphemeralsException, KeeperException.NodeExistsException, KeeperException.NoNodeException, KeeperException.NotEmptyException, KeeperException.OperationTimeoutException, KeeperException.RuntimeInconsistencyException, KeeperException.SessionExpiredException, KeeperException.SessionMovedException, KeeperException.SystemErrorException, KeeperException.UnimplementedException`

Constructor Summary
`KeeperException.SessionExpiredException()`

Method Summary

Methods inherited from class org.apache.zookeeper.KeeperException
`code, create, create, create, create, getCode, getMessage, getPath, setCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeeperException.SessionExpiredException

    public KeeperException.SessionExpiredException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation